=== debian/control ===
--- 
+++ 
@@ -6,24 +6,24 @@
            Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Patrick Franz <deltaone@debian.org>
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.95.0~),
+               extra-cmake-modules (>= 5.99.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:22.08.3~),
-               libkf5i18n-dev (>= 5.95.0~),
-               libkf5itemmodels-dev (>= 5.95.0~),
-               libkf5kio-dev (>= 5.95.0~),
-               libkf5mime-dev (>= 22.08.3~),
-               libkf5xmlgui-dev (>= 5.95.0~),
+               libkf5akonadi-dev (>= 4:22.12.0~),
+               libkf5i18n-dev (>= 5.99.0~),
+               libkf5itemmodels-dev (>= 5.99.0~),
+               libkf5kio-dev (>= 5.99.0~),
+               libkf5mime-dev (>= 22.12.0~),
+               libkf5xmlgui-dev (>= 5.99.0~),
                libxslt1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
                shared-mime-info (>= 1.3~),
-               xsltproc
-Standards-Version: 4.6.1
+               xsltproc,
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/pim/akonadi-mime
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime.git
@@ -44,13 +44,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:22.08.3~),
+Depends: libkf5akonadi-dev (>= 4:22.12.0~),
          libkf5akonadimime5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.95.0~),
-         libkf5mime-dev (>= 22.08.3~),
-         libkf5xmlgui-dev (>= 5.95.0~),
+         libkf5i18n-dev (>= 5.99.0~),
+         libkf5mime-dev (>= 22.12.0~),
+         libkf5xmlgui-dev (>= 5.99.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Akonadi MIME handling library - development files
  This library provides MIME handling helpers using the
  Akonadi PIM data server.
@@ -64,7 +64,7 @@
 Multi-Arch: same
 Depends: akonadi-mime-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Akonadi MIME handling library
  This library provides MIME handling helpers using the
  Akonadi PIM data server.
