=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.2~),
                libkf5i18n-dev (>= 5.99.0~),
                libkf5itemmodels-dev (>= 5.99.0~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5mime-dev (>= 22.12.0~),
+               libkf5mime-dev (>= 22.12.2~),
                libkf5xmlgui-dev (>= 5.99.0~),
                libxslt1-dev,
                pkg-config,
@@ -44,10 +44,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:22.12.0~),
+Depends: libkf5akonadi-dev (>= 4:22.12.2~),
          libkf5akonadimime5 (= ${binary:Version}),
          libkf5i18n-dev (>= 5.99.0~),
-         libkf5mime-dev (>= 22.12.0~),
+         libkf5mime-dev (>= 22.12.2~),
          libkf5xmlgui-dev (>= 5.99.0~),
          ${misc:Depends},
          ${shlibs:Depends},
