=== autotests/messagetests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# SPDX-FileCopyrightText: none
+# SPDX-License-Identifier: BSD-3-Clause
 include(ECMMarkAsTest)
 
 macro(ADD_AKONADIMIME_TEST)
