=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -11,11 +10,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:22.12.2~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
                libkf5i18n-dev (>= 5.99.0~),
                libkf5itemmodels-dev (>= 5.99.0~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5mime-dev (>= 22.12.2~),
+               libkf5mime-dev (>= 22.12.3~),
                libkf5xmlgui-dev (>= 5.99.0~),
                libxslt1-dev,
                pkg-config,
@@ -33,7 +32,7 @@
 Section: kde
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Akonadi MIME handling library - data files
  This library provides MIME handling helpers using the
  Akonadi PIM data server.
@@ -44,10 +43,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:22.12.2~),
+Depends: libkf5akonadi-dev (>= 4:22.12.3~),
          libkf5akonadimime5 (= ${binary:Version}),
          libkf5i18n-dev (>= 5.99.0~),
-         libkf5mime-dev (>= 22.12.2~),
+         libkf5mime-dev (>= 22.12.3~),
          libkf5xmlgui-dev (>= 5.99.0~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -70,4 +69,4 @@
  Akonadi PIM data server.
  .
  This package is part of the KDE Development Platform PIM libraries module.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
